Subject: Re: [PATCH 03/10] builtin: use default hash when outside a repository

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 1 Jul 2025 13:35:33 +0200

On Fri, Jun 20, 2025 at 01:19:35AM +0000, brian m. carlson wrote:
> We have some commands that can operate inside or outside a repository.
> If we're operating outside a repository, we clearly cannot use the
> repository's hash algorithm as a default since it doesn't exist, so
> instead, let's pick the default instead of specifically SHA-1.  Right
> now this results in no functional change since the default is SHA-1, but
> that may change in the future.

With the preceding commit in mind that introduced GIT_HASH_ORIGINAL you
could also argue that those callsites should be converted to use that
define instead. We always used to treat them as SHA1 repositories, and
we have no better way of telling otherwise, so we use the historical
value of SHA1 so that scripts aren't dependent on how exactly Git was
built.

Patrick